import { IncomingHttpHeaders } from 'http';
import { NodeOptions } from '@highlight-run/node';

declare type HasHeaders = {
    headers: IncomingHttpHeaders;
};
declare type HasStatus = {
    statusCode: number;
    statusMessage: string;
};
declare type ApiHandler<T extends HasHeaders, S extends HasStatus> = (req: T, res: S) => unknown | Promise<unknown>;

declare function Highlight(_: NodeOptions): <T extends HasHeaders, S extends HasStatus>(origHandler: ApiHandler<T, S>) => ApiHandler<T, S>;

export { Highlight };
